*Log callback interface
Requests
HTTP request
POST /v4/callback/logs
Handle logs and save to storage
Request body
Content-Type
application/json
Sample request
[
{
"@timestamp": "1624523370",
"application_name": "log",
"component": "23fdsf23",
"container_id": "23fdsf23",
"container_id8": "23fdsf23",
"docker_container_name": "agnet-23fdsf23",
"file_name": "file",
"kubernetes_container_name": "kube-pod-klcsf",
"kubernetes_namespace": "system",
"log_data": "message",
"node": "192.168.0.1",
"paths": " /api/v1/namespaces/",
"pod_id": "121f0ff7",
"pod_name": "tracer-agent-klcsf",
"product": "cpaas",
"project_name": "project",
"region_name": "ovn",
"time": 1
}
]Parmeters
| Name | Type | Required | Description |
|---|---|---|---|
| [] | object | True |
object holding the log data
Path: [] |
| [].@timestamp | string | True |
Log record collect time
Path: [].@timestamp |
| [].application_name | string | True |
Name of the the application
Path: [].application_name |
| [].component | string | True |
Absolute path of file_name
Path: [].component |
| [].container_id | string | True |
Uuid of docker container
Path: [].container_id |
| [].container_id8 | string | True |
First eight chars of the container_id
Path: [].container_id8 |
| [].docker_container_name | string | True |
Name of docker container
Path: [].docker_container_name |
| [].file_name | string | True |
Name of the file, from which the log record is collected
Path: [].file_name |
| [].kubernetes_container_name | string | True |
Name of kubernetes container
Path: [].kubernetes_container_name |
| [].kubernetes_namespace | string | True |
Name of the namespace, on which workload resides
Path: [].kubernetes_namespace |
| [].log_data | string | True |
Content of the log record
Path: [].log_data |
| [].node | string | True |
Name of host, on which the log record is collected
Path: [].node |
| [].paths | string | True |
Absolute path of file_name
Path: [].paths |
| [].pod_id | string | True |
Uid of kubernetes pod
Path: [].pod_id |
| [].pod_name | string | True |
Name of kubernetes pod
Path: [].pod_name |
| [].product | string | True |
Name of the product, on which workload resides
Path: [].product |
| [].project_name | string | True |
Name of the project, on which workload resides
Path: [].project_name |
| [].region_name | string | True |
Name of region, from which the log record is collected
Path: [].region_name |
| [].time | integer | True |
log record collect time
Path: [].time |
Responses
Content-Type
application/json
Status code: 204
OK